Subject: Re: Kernel 4.7: PAGE_GUARDED and _PAGE_NO_CACHE

From: Michael Ellerman <[email-masked]>
Date: Mon, 06 Jun 2016 10:54:40 +1000

On Sat, 2016-06-04 at 20:16 +0530, Aneesh Kumar K.V wrote:
> Christian Zigotzky <[email-masked]> writes:
> 
> > Hi All,
> > 
> > I compiled the latest git version of kernel 4.7 with all PowerPC 
> > commits. Maybe the latest commit powerpc-4.7-2 solved the boot issues. 
> > Our latest Nemo patch 4.7-1 works without any problems with the latest 
> > git version.
> 
> 
> instead of using powerpc-4.7-2 can you use the upstream SHA1 commit id
> ?. I am not sure how to map 4.7-2 to a kernel version.

That's my tag:

  https://git.kernel.org/cgit/linux/kernel/git/powerpc/linux.git/tag/?h=powerpc-4.7-2

> > I got the following error message:
> > 
> > arch/powerpc/kernel/pci-common.c: In function 
> > ‘pci_process_bridge_OF_ranges’:
> > arch/powerpc/kernel/pci-common.c:732:59: error: ‘_PAGE_GUARDED’ 
> > undeclared (first use in this function)
> >                                  range.size, _PAGE_NO_CACHE|_PAGE_GUARDED);
> >                                                             ^
> > arch/powerpc/kernel/pci-common.c:732:59: note: each undeclared 
> > identifier is reported only once for each function it appears in
> > make[1]: *** [arch/powerpc/kernel/pci-common.o] Error 1
> > make: *** [arch/powerpc/kernel] Error 2
> 
> Which kernel is that ? For upstream I have at that line
> 
>  729                         hose->pci_io_size = range.pci_addr + range.size;
>  730                         hose->io_base_phys = range.cpu_addr - range.pci_addr;
>  731 
>  732                         /* Build resource */
>  733                         res = &hose->io_resource;
>  734                         range.cpu_addr = range.pci_addr;
>  735                         break;
>  736                 case IORESOURCE_MEM:

Christian is running an out-of-tree patch for the nemo board. He did post it to
the list at some point.

cheers